<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<#setting number_format="#########0.########">
<Invoice xmlns="urn:oasis:names:specification:ubl:schema:xsd:Invoice-2"
         xmlns:cac="urn:oasis:names:specification:ubl:schema:xsd:CommonAggregateComponents-2"
         xmlns:cbc="urn:oasis:names:specification:ubl:schema:xsd:CommonBasicComponents-2"
         xmlns:ccts="urn:un:unece:uncefact:documentation:2"
         xmlns:ds="http://www.w3.org/2000/09/xmldsig#"
         xmlns:ext="urn:oasis:names:specification:ubl:schema:xsd:CommonExtensionComponents-2"
         xmlns:qdt="urn:oasis:names:specification:ubl:schema:xsd:QualifiedDatatypes-2" xmlns:udt="urn:un:unece:uncefact:data:specification:UnqualifiedDataTypesSchemaModule:2"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <ext:UBLExtensions>
  </ext:UBLExtensions>
  <cbc:UBLVersionID>2.1</cbc:UBLVersionID>
  <cbc:CustomizationID>2.0</cbc:CustomizationID>
  <cbc:ID>${nroCdpSwf}</cbc:ID>
  <cbc:IssueDate>${fecEmision}</cbc:IssueDate>
  <cbc:IssueTime>${horEmision}</cbc:IssueTime>
  
  <#if fecVencimiento?? && fecVencimiento != "-" >
  <!-- UBL 2.1 - Vencimiento - se debe informar como DueDate -->
  <cbc:DueDate>${fecVencimiento}</cbc:DueDate>
  </#if>
  
  <cbc:InvoiceTypeCode listID="${tipOperacion}"
                       listAgencyName="PE:SUNAT"
                       listName="Tipo de Documento"
                       name="Tipo de Operacion"
                       listURI="urn:pe:gob:sunat:cpe:see:gem:catalogos:catalogo01"
                       listSchemeURI="urn:pe:gob:sunat:cpe:see:gem:catalogos:catalogo51">${tipCdpSwf}</cbc:InvoiceTypeCode>
					   
<#list listaLeyendas as leyenda>
<!-- UBL 2.1 - Leyendas se mostraran como NOTES -->
  <cbc:Note languageLocaleID="${leyenda.codigo}"><![CDATA[${leyenda.descripcion}]]></cbc:Note>
</#list>
  <cbc:DocumentCurrencyCode listID="ISO 4217 Alpha"
                          listName="Currency"
                          listAgencyName="United Nations Economic Commission for Europe">${moneda}</cbc:DocumentCurrencyCode>							  
<#list listaRelacionado as relacion>
  <#if relacion.indDocRelacionado = "3">  
  <!-- Orden Compra --> 
    <cac:OrderReference>
      <cbc:ID>${relacion.numDocRelacionado}</cbc:ID>
    </cac:OrderReference>
  <#elseif relacion.indDocRelacionado = "1">
  <!-- Guia --> 
  <cac:DespatchDocumentReference>
    <cbc:ID>${relacion.numDocRelacionado}</cbc:ID>
	<cbc:DocumentTypeCode listAgencyName="PE:SUNAT" 
						  listName="Tipo de Documento" 
						  listURI="urn:pe:gob:sunat:cpe:see:gem:catalogos:catalogo01">${relacion.tipDocRelacionado}</cbc:DocumentTypeCode>
  </cac:DespatchDocumentReference>
  <#elseif relacion.indDocRelacionado = "99">
    <!-- Otros Documentos -->
    <cac:AdditionalDocumentReference>
      <cbc:ID>${relacion.numDocRelacionado}</cbc:ID>
      <cbc:DocumentTypeCode listAgencyName="PE:SUNAT" 
							listName="Identificador de documento relacionado"
							listURI="urn:pe:gob:sunat:cpe:see:gem:catalogos:catalogo12">${relacion.tipDocRelacionado}</cbc:DocumentTypeCode>
    </cac:AdditionalDocumentReference> 
  <#elseif relacion.indDocRelacionado = "2" && relacion.tipDocRelacionado = "02">
  	<!-- Anticipos detalle - Factura --> 
  <cac:AdditionalDocumentReference>
    <cbc:ID schemeID="01">${relacion.numDocRelacionado}</cbc:ID>
    <cbc:DocumentTypeCode listAgencyName="PE:SUNAT"
                          listName="Documento Relacionado"
                          listURI="urn:pe:gob:sunat:cpe:see:gem:catalogos:catalogo12">${relacion.tipDocRelacionado}</cbc:DocumentTypeCode>
    <cbc:DocumentStatusCode listAgencyName="PE:SUNAT"
                            listName="Anticipo">${relacion.numIdeAnticipo}</cbc:DocumentStatusCode>
    <cac:IssuerParty>
      <cac:PartyIdentification>
        <cbc:ID schemeAgencyName="PE:SUNAT"
                schemeID="${relacion.tipDocEmisor}"
                schemeName="Documento de Identidad"
                schemeURI="urn:pe:gob:sunat:cpe:see:gem:catalogos:catalogo06">${relacion.numDocEmisor}</cbc:ID>
      </cac:PartyIdentification>
    </cac:IssuerParty>
  </cac:AdditionalDocumentReference>
  <#elseif relacion.indDocRelacionado = "2" && relacion.tipDocRelacionado = "03">
  <!-- Anticipos detalle - Boleta --> 
  <cac:AdditionalDocumentReference>
    <cbc:ID schemeID="03">${relacion.numDocRelacionado}</cbc:ID>
    <cbc:DocumentTypeCode listAgencyName="PE:SUNAT"
                          listName="Documento Relacionado"
                          listURI="urn:pe:gob:sunat:cpe:see:gem:catalogos:catalogo12">${relacion.tipDocRelacionado}</cbc:DocumentTypeCode>
    <cbc:DocumentStatusCode listAgencyName="PE:SUNAT"
                            listName="Anticipo">${relacion.numIdeAnticipo}</cbc:DocumentStatusCode>
    <cac:IssuerParty>
      <cac:PartyIdentification>
        <cbc:ID schemeAgencyName="PE:SUNAT"
                schemeID="${relacion.tipDocEmisor}"
                schemeName="Documento de Identidad"
                schemeURI="urn:pe:gob:sunat:cpe:see:gem:catalogos:catalogo06">${relacion.numDocEmisor}</cbc:ID>
      </cac:PartyIdentification>
    </cac:IssuerParty>
  </cac:AdditionalDocumentReference>
  </#if>
</#list>
  <cac:Signature>
    <cbc:ID>${nroRucEmisorSwf}</cbc:ID>
	<cbc:Note>${identificadorFacturadorSwf}</cbc:Note>
	<cbc:ValidatorID>${codigoFacturadorSwf}</cbc:ValidatorID>
    <cac:SignatoryParty>
      <cac:PartyIdentification>
        <cbc:ID>${nroRucEmisorSwf}</cbc:ID>
      </cac:PartyIdentification>
      <cac:PartyName>
        <cbc:Name><![CDATA[${razonSocialSwf}]]></cbc:Name>
      </cac:PartyName>
    </cac:SignatoryParty>
    <cac:DigitalSignatureAttachment>
      <cac:ExternalReference>
        <cbc:URI>${identificadorFirmaSwf}</cbc:URI>
      </cac:ExternalReference>
    </cac:DigitalSignatureAttachment>
  </cac:Signature>
  <cac:AccountingSupplierParty>
    <cac:Party>
      <cac:PartyIdentification>
        <cbc:ID schemeID="${tipDocuEmisorSwf}"
                schemeName="Documento de Identidad"
                schemeAgencyName="PE:SUNAT"
                schemeURI="urn:pe:gob:sunat:cpe:see:gem:catalogos:catalogo06">${nroRucEmisorSwf}</cbc:ID>
      </cac:PartyIdentification>
      <cac:PartyName>
        <cbc:Name><![CDATA[${nombreComercialSwf}]]></cbc:Name>
      </cac:PartyName>
      <cac:PartyLegalEntity>
        <cbc:RegistrationName><![CDATA[${razonSocialSwf}]]></cbc:RegistrationName>
        <cac:RegistrationAddress>
         <cbc:AddressTypeCode>${codLocalEmisor}</cbc:AddressTypeCode>
		 <cbc:CitySubdivisionName><![CDATA[${urbanizaSwf}]]></cbc:CitySubdivisionName>
         <cbc:CityName><![CDATA[${provinSwf}]]></cbc:CityName>
         <cbc:CountrySubentity><![CDATA[${deparSwf}]]></cbc:CountrySubentity>
		 <cbc:CountrySubentityCode><![CDATA[${ubigeoDomFiscalSwf}]]></cbc:CountrySubentityCode>
         <cbc:District><![CDATA[${distrSwf}]]></cbc:District>	
		 <cac:AddressLine>
			<cbc:Line><![CDATA[${direccionDomFiscalSwf}]]></cbc:Line>
		 </cac:AddressLine>		 
         <cac:Country>
          <cbc:IdentificationCode>${paisDomFiscalSwf}</cbc:IdentificationCode>
         </cac:Country>
        </cac:RegistrationAddress>
      </cac:PartyLegalEntity>
    </cac:Party>	
  </cac:AccountingSupplierParty>
  <cac:AccountingCustomerParty>
    <cac:Party>
      <cac:PartyIdentification>
        <cbc:ID schemeID="${tipDocUsuario}"
                schemeName="Documento de Identidad"
                schemeAgencyName="PE:SUNAT"
                schemeURI="urn:pe:gob:sunat:cpe:see:gem:catalogos:catalogo06">${numDocUsuario}</cbc:ID>
      </cac:PartyIdentification>
      <cac:PartyLegalEntity>
        <cbc:RegistrationName><![CDATA[${rznSocialUsuario}]]></cbc:RegistrationName>
		<#if desDireccionCliente??><#if desDireccionCliente != '-' && codUbigeoCliente != '-' >
		<cac:RegistrationAddress>
          <cbc:AddressTypeCode>-</cbc:AddressTypeCode>
          <cbc:StreetName><![CDATA[${desDireccionCliente}]]></cbc:StreetName>
		  <cbc:CitySubdivisionName>-</cbc:CitySubdivisionName>
          <cbc:CityName>-</cbc:CityName>
          <cbc:CountrySubentity>-</cbc:CountrySubentity>
		  <cbc:CountrySubentityCode><![CDATA[${codUbigeoCliente}]]></cbc:CountrySubentityCode>
          <cbc:District>-</cbc:District>
          <cac:Country>
           <cbc:IdentificationCode>${codPaisCliente}</cbc:IdentificationCode>      
          </cac:Country>
        </cac:RegistrationAddress>
		</#if></#if>
		</cac:PartyLegalEntity>
    </cac:Party>		
  </cac:AccountingCustomerParty>
  <#if desDireccionEntrega??><#if desDireccionEntrega != '-' && codUbigeoEntrega != '-' >
  <cac:DeliveryTerms>
    <!-- Dato de Entrega -->
	<cac:DeliveryLocation>
	<cac:Address>
		<cbc:StreetName>${desDireccionEntrega}</cbc:StreetName>
		<cbc:CitySubdivisionName/>
		<cbc:CityName></cbc:CityName>
		<cbc:CountrySubentity></cbc:CountrySubentity>
		<cbc:CountrySubentityCode>${codUbigeoEntrega}</cbc:CountrySubentityCode>
		<cbc:District></cbc:District>
		<cac:Country>
			 <cbc:IdentificationCode	listID="ISO 3166-1"
										listAgencyName="United Nations Economic Commission for Europe"
										listName="Country">${codPaisEntrega}</cbc:IdentificationCode>
		</cac:Country>
	</cac:Address>
	</cac:DeliveryLocation>
	<!-- Fin Dato de Entrega -->
  </cac:DeliveryTerms>
  </#if></#if>  
  <#if ctaBancoNacionDetraccion??>
  <#if ctaBancoNacionDetraccion != "-">
  <!-- UBL 2.1 - Detraccion - se require mayor detalle -->
  <!-- Detracciones -->
  <cac:PaymentMeans>
	<cbc:PaymentMeansCode listID="UN/ECE 4461">001</cbc:PaymentMeansCode>
    <cac:PayeeFinancialAccount>
      <cbc:ID>${ctaBancoNacionDetraccion}</cbc:ID>
    </cac:PayeeFinancialAccount>
  </cac:PaymentMeans>
  <cac:PaymentTerms>
    <cbc:ID schemeName="Codigo de detraccion" schemeAgencyName="PE:SUNAT" schemeURI="urn:pe:gob:sunat:cpe:see:gem:catalogos:catalogo54">${codBienDetraccion}</cbc:ID>
    <cbc:PaymentPercent>${porDetraccion}</cbc:PaymentPercent>
    <cbc:Amount currencyID="${moneda}">${mtoDetraccion}</cbc:Amount>
  </cac:PaymentTerms>
  <!-- Fin de detracciones -->
   </#if>  
   </#if> 
  
<#if sumTotalAnticipos??>
<!-- Anticipos Montos - Total Anticipos-->
<#list listaRelacionado as relacion>
  <#if relacion.indDocRelacionado = "2">
    <cac:PrepaidPayment>
      <cbc:ID schemeAgencyName="PE:SUNAT" schemeName="Anticipo">${relacion.numIdeAnticipo}</cbc:ID>
      <cbc:PaidAmount currencyID="PEN">${relacion.mtoDocRelacionado}</cbc:PaidAmount>
    </cac:PrepaidPayment>
	<!-- Fin de Anticipos -->
  </#if>  
</#list>
</#if>

<#if (porDescGlobal?? && porDescGlobal != "-") >
<!-- UBL 2.1 - Descuento Global - se require mayor detalle -->
    <!-- Descuento global -->
	<cac:AllowanceCharge>
		<cbc:ChargeIndicator>false</cbc:ChargeIndicator>
		<cbc:AllowanceChargeReasonCode>00</cbc:AllowanceChargeReasonCode>
		<cbc:MultiplierFactorNumeric>${porDescGlobal}</cbc:MultiplierFactorNumeric>
		<cbc:Amount currencyID="PEN">${mtoDescGlobal}</cbc:Amount>
		<cbc:BaseAmount currencyID="PEN">${mtoBasImpDescGlobal}</cbc:BaseAmount>
	</cac:AllowanceCharge>
	<!-- Fin de descuento global-->
</#if>
	
<!-- UBL 2.1 - Impuestos - se informa un TOTAL y se detalla informacion del tributo -->
  <!-- Inicio Tributos cabecera-->	
  <cac:TaxTotal>
    <cbc:TaxAmount currencyID="${moneda}">${sumTotTributos}</cbc:TaxAmount>  
<#list listaTributos as tributo>
	<#if (tributo.ideTributo?number = 1000) >
	<!-- 1000 Total valor de venta - operaciones gravadas. + SUMATORIA ISC-->  
      <cac:TaxSubtotal>
        <cbc:TaxableAmount currencyID="${moneda}">${tributo.mtoBaseImponible}</cbc:TaxableAmount>
        <cbc:TaxAmount currencyID="${moneda}">${tributo.mtoTributo}</cbc:TaxAmount>
        <cac:TaxCategory>
          <cac:TaxScheme>
            <cbc:ID schemeID="UN/ECE 5153"
                    schemeName="Codigo de tributos"
                    schemeAgencyName="PE:SUNAT">${tributo.ideTributo}</cbc:ID>
            <cbc:Name>${tributo.nomTributo}</cbc:Name>
            <cbc:TaxTypeCode>${tributo.codTipTributo}</cbc:TaxTypeCode>
          </cac:TaxScheme>
        </cac:TaxCategory>
      </cac:TaxSubtotal>
	</#if>
	<#if (tributo.ideTributo?number = 1016) >
      <cac:TaxSubtotal>
        <cbc:TaxableAmount currencyID="${moneda}">${tributo.mtoBaseImponible}</cbc:TaxableAmount>
        <cbc:TaxAmount currencyID="${moneda}">${tributo.mtoTributo}</cbc:TaxAmount>
        <cac:TaxCategory>
          <cac:TaxScheme>
            <cbc:ID schemeID="UN/ECE 5153"
                    schemeName="Codigo de tributos"
                    schemeAgencyName="PE:SUNAT">${tributo.ideTributo}</cbc:ID>
            <cbc:Name>${tributo.nomTributo}</cbc:Name>
            <cbc:TaxTypeCode>${tributo.codTipTributo}</cbc:TaxTypeCode>
          </cac:TaxScheme>
        </cac:TaxCategory>
      </cac:TaxSubtotal>
	</#if>
	<#if (tributo.ideTributo?number = 9995) >
      <cac:TaxSubtotal>
        <cbc:TaxableAmount currencyID="${moneda}">${tributo.mtoBaseImponible}</cbc:TaxableAmount>
        <cbc:TaxAmount currencyID="${moneda}">${tributo.mtoTributo}</cbc:TaxAmount>
        <cac:TaxCategory>
          <cac:TaxScheme>
            <cbc:ID schemeID="UN/ECE 5153"
                    schemeName="Codigo de tributos"
                    schemeAgencyName="PE:SUNAT">${tributo.ideTributo}</cbc:ID>
            <cbc:Name>${tributo.nomTributo}</cbc:Name>
            <cbc:TaxTypeCode>${tributo.codTipTributo}</cbc:TaxTypeCode>
          </cac:TaxScheme>
        </cac:TaxCategory>
      </cac:TaxSubtotal>
	</#if>

	<#if (tributo.ideTributo?number = 9997) >
	<!-- 9997 Total valor de venta - operaciones exoneradas. -->
      <cac:TaxSubtotal>
        <cbc:TaxableAmount currencyID="${moneda}">${tributo.mtoBaseImponible}</cbc:TaxableAmount>
        <cbc:TaxAmount currencyID="${moneda}">${tributo.mtoTributo}</cbc:TaxAmount>
        <cac:TaxCategory>
          <cac:TaxScheme>
            <cbc:ID schemeID="UN/ECE 5153"
                    schemeName="Codigo de tributos"
                    schemeAgencyName="PE:SUNAT">${tributo.ideTributo}</cbc:ID>
            <cbc:Name>${tributo.nomTributo}</cbc:Name>
            <cbc:TaxTypeCode>${tributo.codTipTributo}</cbc:TaxTypeCode>
          </cac:TaxScheme>
        </cac:TaxCategory>
      </cac:TaxSubtotal>
	</#if>

	<#if (tributo.ideTributo?number = 9998) >
	<!-- 9997 Total valor de venta - operaciones inafectas. -->
      <cac:TaxSubtotal>
        <cbc:TaxableAmount currencyID="${moneda}">${tributo.mtoBaseImponible}</cbc:TaxableAmount>
        <cbc:TaxAmount currencyID="${moneda}">${tributo.mtoTributo}</cbc:TaxAmount>
        <cac:TaxCategory>
          <cac:TaxScheme>
            <cbc:ID schemeID="UN/ECE 5153"
                    schemeName="Codigo de tributos"
                    schemeAgencyName="PE:SUNAT">${tributo.ideTributo}</cbc:ID>
            <cbc:Name>${tributo.nomTributo}</cbc:Name>
            <cbc:TaxTypeCode>${tributo.codTipTributo}</cbc:TaxTypeCode>
          </cac:TaxScheme>
        </cac:TaxCategory>
      </cac:TaxSubtotal>
	</#if>

	<#if (tributo.ideTributo?number = 9996) >
	<!-- 9996 Total Valor de Venta de Operaciones gratuitas. -->
      <cac:TaxSubtotal>
        <cbc:TaxableAmount currencyID="${moneda}">${tributo.mtoBaseImponible}</cbc:TaxableAmount>
        <cbc:TaxAmount currencyID="${moneda}">${tributo.mtoTributo}</cbc:TaxAmount>
        <cac:TaxCategory>
          <cac:TaxScheme>
            <cbc:ID schemeID="UN/ECE 5153"
                    schemeName="Codigo de tributos"
                    schemeAgencyName="PE:SUNAT">${tributo.ideTributo}</cbc:ID>
            <cbc:Name>${tributo.nomTributo}</cbc:Name>
            <cbc:TaxTypeCode>${tributo.codTipTributo}</cbc:TaxTypeCode>
          </cac:TaxScheme>
        </cac:TaxCategory>
      </cac:TaxSubtotal>
	</#if>

	<#if (tributo.ideTributo?number = 2000) >
	<!-- 2000 ISC IMPUESTO SELECTIVO AL CONSUMO -->
      <cac:TaxSubtotal>
        <cbc:TaxableAmount currencyID="${moneda}">${tributo.mtoBaseImponible}</cbc:TaxableAmount>
        <cbc:TaxAmount currencyID="${moneda}">${tributo.mtoTributo}</cbc:TaxAmount>
        <cac:TaxCategory>
          <cac:TaxScheme>
            <cbc:ID schemeID="UN/ECE 5153"
                    schemeName="Codigo de tributos"
                    schemeAgencyName="PE:SUNAT">${tributo.ideTributo}</cbc:ID>
            <cbc:Name>${tributo.nomTributo}</cbc:Name>
            <cbc:TaxTypeCode>${tributo.codTipTributo}</cbc:TaxTypeCode>
          </cac:TaxScheme>
        </cac:TaxCategory>
      </cac:TaxSubtotal>
	</#if>

	<#if (tributo.ideTributo?number = 9999) >
	<!-- 9999 OTROS CONCEPTOS DE PAGO -->
      <cac:TaxSubtotal>
        <cbc:TaxableAmount currencyID="${moneda}">${tributo.mtoBaseImponible}</cbc:TaxableAmount>
        <cbc:TaxAmount currencyID="${moneda}">${tributo.mtoTributo}</cbc:TaxAmount>
        <cac:TaxCategory>
          <cac:TaxScheme>
            <cbc:ID schemeID="UN/ECE 5153"
                    schemeName="Codigo de tributos"
                    schemeAgencyName="PE:SUNAT">${tributo.ideTributo}</cbc:ID>
            <cbc:Name>${tributo.nomTributo}</cbc:Name>
            <cbc:TaxTypeCode>${tributo.codTipTributo}</cbc:TaxTypeCode>
          </cac:TaxScheme>
        </cac:TaxCategory>
      </cac:TaxSubtotal>
	</#if>
	</#list>
	</cac:TaxTotal>	
	<!-- Fin Tributos  Cabecera-->
  <cac:LegalMonetaryTotal>
    <cbc:LineExtensionAmount currencyID="${moneda}">${sumTotValVenta}</cbc:LineExtensionAmount>	
	<#if sumPrecioVenta??> 
	<cbc:TaxInclusiveAmount currencyID="${moneda}">${sumPrecioVenta}</cbc:TaxInclusiveAmount>
	</#if>
    <cbc:AllowanceTotalAmount currencyID="${moneda}">${sumDescTotal}</cbc:AllowanceTotalAmount>
	<cbc:ChargeTotalAmount currencyID="${moneda}">${sumOtrosCargos}</cbc:ChargeTotalAmount>	
	<#if sumTotalAnticipos??> 
	<#if sumTotalAnticipos?number gt 0>												  
	<cbc:PrepaidAmount currencyID="${moneda}">${sumTotalAnticipos}</cbc:PrepaidAmount>
	</#if>
	</#if>  
	<cbc:PayableAmount currencyID="${moneda}">${sumImpVenta}</cbc:PayableAmount>  
  </cac:LegalMonetaryTotal>  
<#list listaDetalle as detalle>
<cac:InvoiceLine>
<cbc:ID>${detalle.lineaSwf}</cbc:ID>
    <cbc:InvoicedQuantity unitCode="${detalle.unidadMedida}"
                          unitCodeListID="UN/ECE rec 20"
                          unitCodeListAgencyName="United Nations Economic Commission for Europe">${detalle.ctdUnidadItem}</cbc:InvoicedQuantity>
	<cbc:LineExtensionAmount currencyID="${moneda}">${detalle.mtoValorVentaItem}</cbc:LineExtensionAmount>
<#assign pvUnitario = detalle.mtoPrecioVentaUnitario?number>
<#if (pvUnitario?number gt 0) >
    <cac:PricingReference>
      <cac:AlternativeConditionPrice>
        <cbc:PriceAmount currencyID="${moneda}">${detalle.mtoPrecioVentaUnitario}</cbc:PriceAmount>
        <cbc:PriceTypeCode listName="Tipo de Precio"
                           listAgencyName="PE:SUNAT"
                           listURI="urn:pe:gob:sunat:cpe:see:gem:catalogos:catalogo16">01</cbc:PriceTypeCode>
      </cac:AlternativeConditionPrice>
	 </cac:PricingReference>
</#if>	  
<#assign pvUnitario = detalle.mtoValorReferencialUnitario?number>
<#if (pvUnitario?number gt 0) >
    <cac:PricingReference>
      <cac:AlternativeConditionPrice>
        <cbc:PriceAmount currencyID="${moneda}">${detalle.mtoValorReferencialUnitario}</cbc:PriceAmount>
        <cbc:PriceTypeCode listName="Tipo de Precio"
                           listAgencyName="PE:SUNAT"
                           listURI="urn:pe:gob:sunat:cpe:see:gem:catalogos:catalogo16">02</cbc:PriceTypeCode>
    </cac:AlternativeConditionPrice>
	 </cac:PricingReference>
</#if>

<#if detalle.codTipDescuentoItem?? ><#if detalle.codTipDescuentoItem != "-" ><#if (detalle.codTipDescuentoItem = "00" || detalle.codTipDescuentoItem = "01" || detalle.codTipDescuentoItem = "02") >
	<!-- UBL 2.1 - Descuento Item - se require mayor detalle -->
	<!-- Descuentos por item - restan a valor unitario por item-->
	 <cac:AllowanceCharge>
		<cbc:ChargeIndicator>false</cbc:ChargeIndicator>
		<cbc:AllowanceChargeReasonCode>${detalle.codTipDescuentoItem}</cbc:AllowanceChargeReasonCode>
		<cbc:MultiplierFactorNumeric>${detalle.porDescuentoItem}</cbc:MultiplierFactorNumeric>
		<cbc:Amount currencyID="${moneda}">${detalle.mtoDescuentoItem}</cbc:Amount>
		<cbc:BaseAmount currencyID="${moneda}">${detalle.mtoBasImpDescuentoItem}</cbc:BaseAmount>
	</cac:AllowanceCharge>
</#if></#if></#if>

<#if detalle.codTipCargoItem?? ><#if detalle.codTipCargoItem != "-" ><#if (detalle.codTipCargoItem = "50" || detalle.codTipCargoItem = "51" || detalle.codTipCargoItem = "52" || detalle.codTipCargoItem = "53") >
	<!-- UBL 2.1 - Cargos por Item - se require mayor detalle -->
	<!-- Cargos por item - restan a valor unitario por item-->	
	<cac:AllowanceCharge>
		<cbc:ChargeIndicator>true</cbc:ChargeIndicator>
		<cbc:AllowanceChargeReasonCode>${detalle.codTipCargoItem}</cbc:AllowanceChargeReasonCode>
		<cbc:MultiplierFactorNumeric>${detalle.porCargoItem}</cbc:MultiplierFactorNumeric>
		<cbc:Amount currencyID="${moneda}">${detalle.mtoCargoItem}</cbc:Amount>
		<cbc:BaseAmount currencyID="${moneda}">${detalle.mtoBasImpCargoItem}</cbc:BaseAmount>
	</cac:AllowanceCharge>
</#if></#if></#if>	

	<!-- UBL 2.1 - Tributos Item - se require mayor detalle -->
	<!-- Inicio Tributos -->
    <cac:TaxTotal>
      <cbc:TaxAmount currencyID="${moneda}">${detalle.sumTotTributosItem}</cbc:TaxAmount>	  
<#if (detalle.codTriIGV?? && detalle.codTriIGV != "-")>
<#if (detalle.codTriIGV = "1000" || detalle.codTriIGV = "1016" || detalle.codTriIGV = "9995" || detalle.codTriIGV = "9997" || detalle.codTriIGV = "9998" || detalle.codTriIGV = "9996")>
      <cac:TaxSubtotal>
        <cbc:TaxableAmount currencyID="${moneda}">${detalle.mtoValorVentaItem}</cbc:TaxableAmount>
        <cbc:TaxAmount currencyID="${moneda}">${detalle.mtoIgvItem}</cbc:TaxAmount>
        <cac:TaxCategory>
          <cbc:Percent>${detalle.porIgvItem}</cbc:Percent>
          <cbc:TaxExemptionReasonCode listAgencyName="PE:SUNAT"
                                      listName="Afectacion del IGV"
                                      listURI="urn:pe:gob:sunat:cpe:see:gem:catalogos:catalogo07">${detalle.tipAfeIGV}</cbc:TaxExemptionReasonCode>
          <cac:TaxScheme>
            <cbc:ID schemeID="UN/ECE 5153"
                    schemeName="Codigo de tributos"
                    schemeAgencyName="PE:SUNAT">${detalle.codTriIGV}</cbc:ID>
            <cbc:Name>${detalle.nomTributoIgvItem}</cbc:Name>
            <cbc:TaxTypeCode>${detalle.codTipTributoIgvItem}</cbc:TaxTypeCode>
          </cac:TaxScheme>
        </cac:TaxCategory>
      </cac:TaxSubtotal>
</#if>
</#if>
<#if (detalle.codTriISC?? && detalle.codTriISC != "-")>
	<#if (detalle.codTriISC = "9999") >
      <cac:TaxSubtotal>
        <cbc:TaxableAmount currencyID="${moneda}">${detalle.mtoValorVentaItem}</cbc:TaxableAmount>
        <cbc:TaxAmount currencyID="${moneda}">${detalle.mtoIscItem}</cbc:TaxAmount>
        <cac:TaxCategory>
          <cbc:Percent>${detalle.porIscItem}</cbc:Percent>
		  <cbc:TierRange>${detalle.tipSisISC}</cbc:TierRange>
          <cac:TaxScheme>
            <cbc:ID schemeID="UN/ECE 5153"
                    schemeName="Codigo de tributos"
                    schemeAgencyName="PE:SUNAT">${detalle.codTriISC}</cbc:ID>
            <cbc:Name>${detalle.nomTributoIscItem}</cbc:Name>
            <cbc:TaxTypeCode>${detalle.codTipTributoIscItem}</cbc:TaxTypeCode>
          </cac:TaxScheme>
        </cac:TaxCategory>
      </cac:TaxSubtotal>
	</#if>
	<#if (detalle.codTriISC = "2000") >
      <cac:TaxSubtotal>
	  <#if (detalle.mtoIgvItem?number > 0) >
        <cbc:TaxableAmount currencyID="${moneda}">${detalle.mtoValorVentaItem?number+detalle.mtoIgvItem?number}</cbc:TaxableAmount>
	  <#else>
        <cbc:TaxableAmount currencyID="${moneda}">${detalle.mtoValorVentaItem}</cbc:TaxableAmount>
	  </#if>
        <cbc:TaxAmount currencyID="${moneda}">${detalle.mtoIscItem}</cbc:TaxAmount>
        <cac:TaxCategory>
          <cbc:Percent>${detalle.porIscItem}</cbc:Percent>
		  <cbc:TierRange>${detalle.tipSisISC}</cbc:TierRange>
          <cac:TaxScheme>
            <cbc:ID schemeID="UN/ECE 5153"
                    schemeName="Codigo de tributos"
                    schemeAgencyName="PE:SUNAT">${detalle.codTriISC}</cbc:ID>
            <cbc:Name>${detalle.nomTributoIscItem}</cbc:Name>
            <cbc:TaxTypeCode>${detalle.codTipTributoIscItem}</cbc:TaxTypeCode>
          </cac:TaxScheme>
        </cac:TaxCategory>
      </cac:TaxSubtotal>
	</#if>
</#if>
    </cac:TaxTotal>	
	<!-- Fin Tributos -->	
    <cac:Item>
      <cbc:Description><![CDATA[${detalle.desItem}]]></cbc:Description>
	  <cac:SellersItemIdentification>
        <cbc:ID>${detalle.codProducto}</cbc:ID>
	  </cac:SellersItemIdentification>
	  <#if detalle.codProductoSUNAT??>
	  <#if detalle.codProductoSUNAT != "" && detalle.codProductoSUNAT != "-">
	  <cac:CommodityClassification>
		<cbc:ItemClassificationCode listID="UNSPSC" listAgencyName="GS1 US" listName="Item Classification">${detalle.codProductoSUNAT}</cbc:ItemClassificationCode>
	  </cac:CommodityClassification>
	  </#if></#if>
   <#list listaAdicionalDetalle as detalleAdicional>
   <!-- UBL 2.1 - Adicional de detalle - se puede mayor detalle -->  
   <!-- Adicional de detalle -->
   <#if detalleAdicional.idLinea??>
   <#if detalleAdicional.idLinea?number = detalle.lineaSwf?number>
    <cac:AdditionalItemProperty>
	  <cbc:Name>${detalleAdicional.nomPropiedad}</cbc:Name>
	  <cbc:NameCode listName="Propiedad del item"
	      		   listAgencyName="PE:SUNAT">${detalleAdicional.codPropiedad}</cbc:NameCode>
	  <cbc:Value>${detalleAdicional.valPropiedad}</cbc:Value>
	  <#if detalleAdicional.codIbien != "-">
	     <cbc:ValueQualifier>${detalleAdicional.codIbien}</cbc:ValueQualifier>
      </#if>
    </cac:AdditionalItemProperty>
   </#if>
   </#if>
   <!-- Fin Adicional de detalle -->
   </#list>  
    </cac:Item>
    <cac:Price>
      <cbc:PriceAmount currencyID="${moneda}">${detalle.mtoValorUnitario}</cbc:PriceAmount>
    </cac:Price>
  </cac:InvoiceLine>
</#list>
</Invoice>